// file: wrd_cstr_0.cc
//
 
// isip include files
//
#include "word.h"
#include "word_constants.h"
 
// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Word::~Word() {

  // clean up memory and reset
  //
  if (num_phones_d != (int_4*)NULL) {
    delete [] num_phones_d;
    num_phones_d = (int_4*)NULL;
  }

  if (phone_list_d != (int_4**)NULL) {
    for (int_4 i = 0; i < num_prons_d; i++) {
      delete [] phone_list_d[i];
    }
    delete [] phone_list_d;
    phone_list_d = (int_4**)NULL;
  }

  if (name_d != (char_1*)NULL) {
    delete [] name_d;
    name_d = (char_1*)NULL;
  }

  index_d = (int_4)-1;
  num_prons_d = WRD_DEFAULT_NUM;

  active_d = ISIP_FALSE;

  // exit gracefully
  //
}
